Bug 11233 - lpd spontaneously dies
lpd spontaneously dies
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: lpr (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
: 11232 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-04 20:31 EDT by hellyj
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-05 10:01:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hellyj 2000-05-04 20:31:35 EDT
- HP Laserjet 6MP as /dev/lp0 and filter HP Laserjet.
- /usr/sbin/lpc shows no daemon present but all else operational
- /usr/sbin/lpd will cause enqueued jobs to print normally
- re-check with /usr/sbin/lpc shows no daemon present

- tried deleting /etc/printcap and redefining after re-boot with same
result

- also in /var/log/messages is the following after restarting lpd:

May  4 16:42:26 hellyj-3 PAM_pwdb[932]: (su) session closed for user root
May  4 17:17:19 hellyj-3 lpd[1130]: restarted
May  4 17:17:19 hellyj-3 lpd[1130]: printer/tcp: unknown service
May  4 17:19:01 hellyj-3 lpd[1135]: restarted
May  4 17:19:01 hellyj-3 lpd[1135]: printer/tcp: unknown service

suggesting that printer/tcp service is being sought, not found, and causing
the daemon to stop.
Comment 1 Bernhard Rosenkraenzer 2000-05-05 09:59:59 EDT
*** Bug 11232 has been marked as a duplicate of this bug. ***
Comment 2 Bernhard Rosenkraenzer 2000-05-05 10:01:59 EDT
printer should be defined as port 515 in /etc/services...

Make sure your /etc/services file contains the line

printer	515/tcp	spooler

Note You need to log in before you can comment on or make changes to this bug.